| QxOrm 1.1.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Private Types
qx::cvt::detail::QxStringCvtHelper< T > Struct Template Reference

`#include <QxStringCvt_Impl.h>`

List of all members.

## Public Types
typedef QxStringCvtHelper< T > ::type_str_cvt_helper_5 | type
## Private Types
typedef boost::mpl::if_c < boost::is_pointer< T > ::value, qx::cvt::detail::QxStringCvtPtr < T > , qx::cvt::detail::QxStringCvtGeneric < T > >::type | type_str_cvt_helper_1
typedef boost::mpl::if_c < qx::trait::is_smart_ptr< T > ::value, qx::cvt::detail::QxStringCvtPtr < T >, type_str_cvt_helper_1 > ::type | type_str_cvt_helper_2
typedef boost::mpl::if_c < qx::trait::is_container< T > ::value, qx::cvt::detail::QxStringCvtContainer < T >, type_str_cvt_helper_2 > ::type | type_str_cvt_helper_3
typedef boost::mpl::if_c < qx::trait::is_qx_registered < T >::value, qx::cvt::detail::QxStringCvtRegistered < T >, type_str_cvt_helper_3 > ::type | type_str_cvt_helper_4
typedef boost::mpl::if_c < boost::is_enum< T >::value, qx::cvt::detail::QxStringCvtEnum < T >, type_str_cvt_helper_4 > ::type | type_str_cvt_helper_5

## Detailed Description

### template<typename T>
struct qx::cvt::detail::QxStringCvtHelper< T >

Definition at line 210 of file QxStringCvt_Impl.h.

## Member Typedef Documentation

template<typename T>

typedef QxStringCvtHelper<T>::type_str_cvt_helper_5 qx::cvt::detail::QxStringCvtHelper< T >::type

Definition at line 223 of file QxStringCvt_Impl.h.

template<typename T>

typedef boost::mpl::if_c< boost::is_pointer<T>::value, qx::cvt::detail::QxStringCvtPtr<T>, qx::cvt::detail::QxStringCvtGeneric<T> >::type qx::cvt::detail::QxStringCvtHelper< T >::type_str_cvt_helper_1`[private]`

Definition at line 215 of file QxStringCvt_Impl.h.

template<typename T>

typedef boost::mpl::if_c< qx::trait::is_smart_ptr<T>::value, qx::cvt::detail::QxStringCvtPtr<T>, type_str_cvt_helper_1 >::type qx::cvt::detail::QxStringCvtHelper< T >::type_str_cvt_helper_2`[private]`

Definition at line 216 of file QxStringCvt_Impl.h.

template<typename T>

typedef boost::mpl::if_c< qx::trait::is_container<T>::value, qx::cvt::detail::QxStringCvtContainer<T>, type_str_cvt_helper_2 >::type qx::cvt::detail::QxStringCvtHelper< T >::type_str_cvt_helper_3`[private]`

Definition at line 217 of file QxStringCvt_Impl.h.

template<typename T>

typedef boost::mpl::if_c< qx::trait::is_qx_registered<T>::value, qx::cvt::detail::QxStringCvtRegistered<T>, type_str_cvt_helper_3 >::type qx::cvt::detail::QxStringCvtHelper< T >::type_str_cvt_helper_4`[private]`

Definition at line 218 of file QxStringCvt_Impl.h.

template<typename T>

typedef boost::mpl::if_c< boost::is_enum<T>::value, qx::cvt::detail::QxStringCvtEnum<T>, type_str_cvt_helper_4 >::type qx::cvt::detail::QxStringCvtHelper< T >::type_str_cvt_helper_5`[private]`

Definition at line 219 of file QxStringCvt_Impl.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxCommon/QxStringCvt_Impl.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines